$(function() {
  /* unite all errors to the top of the form */
  var $error_notice = $('form.quixote > div.errornotice');
  var $errors = $('form.quixote div.error');
  if ($errors.length && $error_notice.length == 0) {
    $error_notice = $('<div class="errornotice"></div>');
    $('form.quixote').prepend($error_notice);
  }
  $errors.each(function() {
    var field_label = $(this).parents('.widget').find('.title label').text().replace(/[ :\*]+$/g, '');
    var $error_text = $('<p>' + field_label + ' : ' + $(this).text() + '</p>');
    $(this).hide();
    $error_notice.append($error_text);
  });

  /*Set readonly attributes on "input, textarea and select" element when meeting a .readonly css class on div parent*/
  $form_divs_readonly = $('form.quixote div.readonly');
  $form_divs_readonly.each(function() {
   $("input", this).prop('readonly', true);
   $("textarea", this).prop('readonly', true);
   $("select", this).prop('readonly', true);
  });

  /*Remove "Belgique" from select box.*/
  $country_datasrc_without_belgium = $('.without_belgium select');
  $country_datasrc_without_belgium.each(function() {
   $(this).children('option[value="Belgique"]').remove();
  });

  /*
  If a form table have a class ".is_filtering_table" and on the same page, there is a textbox 
  with a table_filter css class
  SO this table could be filtering thanks to textbox text content... if "title" table row is in textbox text
  MANDATORY REQUIREMENT IN A PAGE FORM :
  .is_filtering_table on a table
  .table_filter on a textbox
  */
  $filtering_table = $('.is_filtering_table tbody > tr')
  $filtering_table.each(function() {
      $(this).hide()
      filtres = $('.table_filter > div.content > input').val().toLowerCase().split(',');
      if ($.inArray($(this).text().toLowerCase(), $.map(filtres, $.trim)) > -1)
      {
         $(this).show();
      }
  });
});
